Package ghidra.program.model.reloc

# Enum Class Relocation.Status

java.lang.Object
java.lang.Enum<Relocation.Status>
ghidra.program.model.reloc.Relocation.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Relocation.Status>`, `Constable`

Enclosing class:
  Relocation

public static enum Relocation.Status extends Enum<Relocation.Status>
Relocation status.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLIED`
  Relocation was applied successfully and resulted in the modification of memory bytes.
  `APPLIED_OTHER`
  Loaded memory has been altered during the load process and may, or may not, be directly associated with a standard relocation type.
  `FAILURE`
  A supported relocation fail to apply properly.
  `PARTIAL`
  Relocation was processed successfully although relies on a subsequent relocation to affect memory.
  `SKIPPED`
  Relocation has been intentionally skipped and should not be treated as a failure.
  `UNKNOWN`
  Relocation status is unknown and is assumed to have modified memory bytes.
  `UNSUPPORTED`
  Relocation type is not supported at the time relocations were applied.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Relocation.Status`
  `getStatus(int value)`
  Get the Status which corresponds to the specified value.
  `int`
  `getValue()`
  Get storage value associated
  `boolean`
  `hasBytes()`
  `static Relocation.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Relocation.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final Relocation.Status UNKNOWN
    Relocation status is unknown and is assumed to have modified memory bytes. This status is intended for relocation data upgrades when actual status can not be determined.

  - ### SKIPPED

    public static final Relocation.Status SKIPPED
    Relocation has been intentionally skipped and should not be treated as a failure.

  - ### UNSUPPORTED

    public static final Relocation.Status UNSUPPORTED
    Relocation type is not supported at the time relocations were applied.

  - ### FAILURE

    public static final Relocation.Status FAILURE
    A supported relocation fail to apply properly. This may be the result of an unexpected or unsupported condition which prevented its application.

  - ### PARTIAL

    public static final Relocation.Status PARTIAL
    Relocation was processed successfully although relies on a subsequent relocation to affect memory.

  - ### APPLIED

    public static final Relocation.Status APPLIED
    Relocation was applied successfully and resulted in the modification of memory bytes.

  - ### APPLIED_OTHER

    public static final Relocation.Status APPLIED_OTHER
    Loaded memory has been altered during the load process and may, or may not, be directly associated with a standard relocation type.

- ## Method Details

  - ### values

    public static Relocation.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Relocation.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### hasBytes

    public boolean hasBytes()
    Returns:
      true if relocation reflects original bytes that may have been modified, else false.

  - ### getValue

    public int getValue()
    Get storage value associated
    Returns:
      storage value associated with status

  - ### getStatus

    public static Relocation.Status getStatus(int value)
    Get the Status which corresponds to the specified value.
    Parameters:
      `value` - status value
    Returns:
      status enum